Subject: bug#18128: Diff-mode doesn't refine hunks automatically

From: [email-masked]
Date: Fri, 04 Nov 2016 22:10:13 -0400

Paul Pogonyshev <[email-masked]> writes:

> Diff-mode should just refine hunks automatically when visiting a
> buffer. If it is a performance concern, there should be some
> customization option for it and/or this could be done lazily.
>

A patch was recently added to magit that let-binds
write-region-inhibit-fsync around the call to diff-refine-hunk, this was
reported to make a significant improvement in speed when refining all
hunks in a diff.  We should do the same for smerge-refine-subst (or is
it possible to do this automatically for all temp files?) before
extending diff refinement over the whole buffer.

https://patch-diff.githubusercontent.com/raw/magit/magit/pull/2834.patch